
DECLARE FUNCTION OpenScrollsheet
    LIB "stl_stbx.dll" (string) as integer;

DECLARE FUNCTION PrintScrollsheet
    LIB "stl_stbx.dll" (integer) as integer;
DECLARE FUNCTION PrintScrollsheetToOutputWindow
    LIB "stl_stbx.dll" (integer) as integer;

DECLARE FUNCTION SaveScrollsheet
    LIB "stl_stbx.dll" (integer, string) as integer;

DECLARE FUNCTION DuplicateScrollsheet
    LIB "stl_stbx.dll" (integer) as integer;

DECLARE FUNCTION GetScrollsheet
    LIB "stl_stbx.dll" (integer) as integer;

DECLARE FUNCTION DeleteScrollsheet
    LIB "stl_stbx.dll" (integer) as integer;

DECLARE FUNCTION NewScrollsheet
    LIB "stl_stbx.dll" (long,long,pointer to double,string,
      string,string) as integer;

DECLARE FUNCTION ScrollsheetSetTitle
    LIB "stl_stbx.dll" (integer, integer, string) as integer;

DECLARE FUNCTION ScrollsheetSetColumnName
    LIB "stl_stbx.dll" (integer, long, string, string) as integer;

DECLARE FUNCTION ScrollsheetSetColumnFormat
    LIB "stl_stbx.dll" (integer, long, integer, integer) as integer;

DECLARE FUNCTION ScrollsheetSetColumnWidth
    LIB "stl_stbx.dll" (integer, integer, integer) as integer;

DECLARE FUNCTION ScrollsheetSetRowName
    LIB "stl_stbx.dll" (integer, long, string) as integer;

DECLARE FUNCTION ScrollsheetSetRowNameWidth
    LIB "stl_stbx.dll" (integer, integer) as integer;

DECLARE FUNCTION ScrollsheetSetValue
    LIB "stl_stbx.dll" (integer, long, long, double) as integer;

DECLARE FUNCTION ScrollsheetSetTextValue
    LIB "stl_stbx.dll" (integer, long, long, string) as integer;

DECLARE FUNCTION ScrollsheetSetMatrix
    LIB "stl_stbx.dll" (integer, long, long, pointer to double) as integer;

DECLARE FUNCTION ScrollsheetAppendRows
    LIB "stl_stbx.dll" (integer,integer) as integer;

DECLARE FUNCTION ScrollsheetAppendColumns
    LIB "stl_stbx.dll" (integer,integer) as integer;

DECLARE FUNCTION ScrollsheetGetValue
    LIB "stl_stbx.dll" (integer,long,long,pointer to double) as integer;

DECLARE FUNCTION ScrollsheetGetTextValue
    LIB "stl_stbx.dll" (integer,long,long,pointer to string) as integer;

DECLARE FUNCTION ScrollsheetGetTitle
    LIB "stl_stbx.dll" (integer,integer,pointer to string) as integer;

DECLARE FUNCTION ScrollsheetGetColName
    LIB "stl_stbx.dll" (integer,long,pointer to string, pointer to string) as 
integer;

DECLARE FUNCTION ScrollsheetGetRowName
    LIB "stl_stbx.dll" (integer,long,pointer to string) as integer;

DECLARE FUNCTION ScrollsheetGetHwnd
    LIB "stl_stbx.dll" (integer) as integer;

DECLARE FUNCTION ScrollsheetSetFont
    LIB "stl_stbx.dll" (integer, string, integer) as integer;

DECLARE FUNCTION ScrollsheetSetColor
    LIB "stl_stbx.dll" (integer,
    long, long,
    long,  long,
    long, long,
    long, long,
    long, long,
    long, long,
    long,  long) as integer;

DECLARE FUNCTION ScrollsheetSetInfoColor             LIB "stl_stbx.dll"
    (integer, long, long) as integer;

DECLARE FUNCTION ScrollsheetSetHeaderColor           LIB "stl_stbx.dll"
    (integer, long, long) as integer;

DECLARE FUNCTION ScrollsheetSetColumnNameColor       LIB "stl_stbx.dll"
    (integer, long, long) as integer;

DECLARE FUNCTION ScrollsheetSetRowNameColor          LIB "stl_stbx.dll"
    (integer, long, long) as integer;

DECLARE FUNCTION ScrollsheetSetDataColor             LIB "stl_stbx.dll"
    (integer, long, long) as integer;

DECLARE FUNCTION ScrollsheetSetHiliteColor           LIB "stl_stbx.dll"
    (integer, long) as integer;

DECLARE FUNCTION ScrollsheetGetNbCols                LIB "stl_stbx.dll"
    (integer) as integer;

DECLARE FUNCTION ScrollsheetGetNbRows                LIB "stl_stbx.dll"
    (integer) as integer;

DECLARE FUNCTION ScrollsheetGetMatrix                LIB "stl_stbx.dll"
    (integer, long, long, pointer to double) as integer;

DECLARE FUNCTION SaveScrollsheetAsDataFile           LIB  "stl_stbx.dll"
    (integer, string) as integer;

DECLARE FUNCTION ScrollsheetSetHilite                LIB  "stl_stbx.dll"
    (integer, long, long, integer) as integer;

{ Constants for use in SetColumnFormat }

const SCF_AUTOMATIC = 0;
const SCF_OPTIMAL   = 1;
const SCF_DECIMAL   = 2;
const SCF_INTEGER   = 3;

{ Constants for use in accessing titles }
const TOPTITLE    = 1;
const SECONDTITLE = 2;
const THIRDTITLE  = 3;
