DECLARE FUNCTION DisplayButtonBox       LIB "stl_stbx.dll" (string,string) as integer;
DECLARE FUNCTION DisplayInputBox        LIB "stl_stbx.dll" (string,string,pointer to string) as integer;
DECLARE FUNCTION DisplayListBox         LIB "stl_stbx.dll" (string,string,integer) as integer;
DECLARE FUNCTION DisplayNumericInputBox LIB "stl_stbx.dll" (string,string,pointer to double) as integer;
DECLARE FUNCTION DisplaySelectionBox    LIB "stl_stbx.dll" (string,string,pointer to double,mmax as integer) as integer;
DECLARE FUNCTION DisplayMessageBox      LIB "stl_stbx.dll" (integer, string, string) as integer;
DECLARE FUNCTION GetLastErrorString     LIB "stl_stbx.dll" (pointer to string) as integer;
DECLARE SUB      DisplayLastError       LIB "stl_stbx.dll" (title as string);
DECLARE SUB      GetDelimitedString     LIB "stl_stbx.dll" (string, integer, pointer to string);
DECLARE SUB      Beep                   LIB "stl_stbx.dll";

DECLARE FUNCTION SelectVariables1       LIB "stl_stbx.dll" 
    (string, integer, integer, pointer to double,
     pointer to double, string) as integer;

DECLARE FUNCTION SelectVariables2       LIB "stl_stbx.dll" 
    (string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string) as integer;

DECLARE FUNCTION SelectVariables3       LIB "stl_stbx.dll" 
    (string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string) as integer;

DECLARE FUNCTION SelectVariables4       LIB "stl_stbx.dll" 
    (string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string, integer, integer, pointer to double,
     pointer to double, string) as integer;

DECLARE FUNCTION SelectOpenFileName     LIB "stl_stbx.dll"
    (string, pointer to string, string) as integer;

DECLARE FUNCTION SelectSaveFileName     LIB "stl_stbx.dll"
    (string, pointer to string, string) as integer;

{ 'Flag' values for DisplayMessageBox }
const MB_OK          = 0;
const MB_OKCANCEL           = 1;
const MB_ABORTRETRYIGNORE   = 2;
const MB_YESNOCANCEL        = 3;
const MB_YESNO              = 4;
const MB_RETRYCANCEL        = 5;

const MB_ICONSTOP           = 16;
const MB_ICONQUESTION       = 32;
const MB_ICONEXCLAMATION    = 48;
const MB_ICONINFORMATION    = 64;

{ result codes for DisplayMessageBox}
const IDOK     = 1;
const IDCANCEL = 2;
const IDABORT  = 3;

const IDRETRY  = 4;
const IDIGNORE = 5;
const IDYES    = 6;
const IDNO     = 7;


